Name:           htop
Version:        1.0
Release:        %mkrel 2

Summary:        Interactive text-mode process viewer for Linux
License:        GPLv2+
Group:          Monitoring
URL:            http://htop.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/htop/htop-%{version}.tar.gz
Patch0:         htop-1.0-fix_xfce_crash.patch

BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel
BuildRequires:  libncursesw-devel

%description
htop is an interactive process viewer for Linux, similar to top.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%setup -q
%patch0 -b .xfce_crash

%build
%{configure2_5x}
%{make}

%install
%{makeinstall}
desktop-file-install --vendor="" \
  --add-category="Monitor" \
  --remove-key="Path" \
  --remove-key="Version" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*


%changelog

* Fri Dec 02 2011 jquelin <jquelin> 1.0-2.mga2
+ Revision: 175116
- fix mga#3432 - xfce crash
- fix xfce crash (mga#3432)

* Tue Nov 22 2011 jquelin <jquelin> 1.0-1.mga2
+ Revision: 170874
- update to 1.0

* Tue Jan 18 2011 ahmad <ahmad> 0.9-2.mga1
+ Revision: 21902
- drop old/unneeded scriptlets

  + jquelin <jquelin>
    - imported package htop

